Name:           perl-CGI-FastTemplate
Version:        1.09
Release:    1%{?dist}
Summary:        Perl extension for managing templates and performing variable interpolation
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CGI-FastTemplate
Source0:        https://cpan.metacpan.org/authors/id/J/JM/JMOORE/CGI-FastTemplate-1.09.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)

%description
CGI::FastTemplate manages templates and parses templates replacing
variable names with values.  It was designed for mid to large scale web
applications (CGI, mod_perl) where there are great benefits to separating
the logic of an application from the specific implementation details.

%prep
%setup -q -n CGI-FastTemplate-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Wed Oct 30 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.09-1
- initial build
